=== debian/changelog ===
bedtools (2.27.1+dfsg-4ubuntu1) focal; urgency=medium

  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Apr 2020 11:32:09 +0200

bedtools (2.27.1+dfsg-4) unstable; urgency=medium

  * Disable the shuffle test on other 32-bit architectures.
  * Restrict build to little-endian release architectures. Closes: #890117
  * QA-build with Salsa.

 -- Charles Plessy <plessy@debian.org>  Thu, 14 Feb 2019 22:11:21 +0900

bedtools (2.27.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Print compilation commands
  * For *i386: use -ffloat-store; disable shuffle tests. Closes: #890116
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright
  * mark bedtools-test as Multi-Arch: foreign

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 04 Feb 2019 05:33:48 -0800

bedtools (2.27.1+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Install autopkgtest script as /usr/share/doc/bedtools/run-unit-test
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Drop useless get-orig-source target

  [ Liubov Chuprikova ]
  * Fix "autopkgtest fails while it succeeded in the past"
    updated run-unit-test to match new upstream tests
    Closes: #894781

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Tue, 22 May 2018 21:31:56 +0200

bedtools (2.27.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * debhelper 11
  * d/rules: do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Sat, 10 Feb 2018 10:54:56 +0100
