=== debian/tests/control ===
Tests: run-unit-test
Depends: @, samtools, tabix
Restrictions: allow-stderr
