## bedtools 2.29.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -10,28 +10,36 @@
 RELEASED_VERSION_FILE=./src/utils/version/version_release.txt
 
 
-
 # define our object and binary directories
-export OBJ_DIR	= obj
-export BIN_DIR	= bin
-export SRC_DIR	= src
-export UTIL_DIR	= src/utils
-export CXX		= g++
+ifeq ($(VERBOSE),1)
+CCPREFIX =
+else
+CCPREFIX = @
+endif
+
+OBJ_DIR	= obj
+BIN_DIR	= bin
+SRC_DIR	= src
+
+CXX     = g++
+
 ifeq ($(DEBUG),1)
-export CXXFLAGS = -Wall -Wextra -DDEBUG -D_DEBUG -g -O0 -D_FILE_OFFSET_BITS=64 -fPIC $(INCLUDES)
+BT_CPPFLAGS = -DDEBUG -D_DEBUG -D_FILE_OFFSET_BITS=64 -DWITH_HTS_CB_API $(INCLUDES)
+BT_CXXFLAGS = -Wconversion -Wall -Wextra -g -O0
 else
-export CXXFLAGS = -Wall -O2 -D_FILE_OFFSET_BITS=64 -fPIC $(INCLUDES)
+BT_CPPFLAGS = -D_FILE_OFFSET_BITS=64 -DWITH_HTS_CB_API $(INCLUDES)
+BT_CXXFLAGS = -g -Wall -O2
 endif
 
 # If the user has specified to do so, tell the compile to use rand() (instead of mt19937).
 ifeq ($(USE_RAND),1)
-export CXXFLAGS += -DUSE_RAND
+BT_CXXFLAGS += -DUSE_RAND
 else
-export CXXFLAGS += -std=c++11
-endif 
-
-export LIBS		= -lz
-export BT_ROOT  = src/utils/BamTools/
+BT_CXXFLAGS += -std=c++11
+endif
+
+BT_LDFLAGS =
+BT_LIBS    = -lz -lm -lbz2 -llzma -lpthread
 
 prefix ?= /usr/local
 
@@ -75,6 +83,7 @@
 		  $(SRC_DIR)/spacingFile \
 		  $(SRC_DIR)/split \
 		  $(SRC_DIR)/subtractFile \
+		  $(SRC_DIR)/summaryFile \
 		  $(SRC_DIR)/tagBam \
 		  $(SRC_DIR)/unionBedGraphs \
 		  $(SRC_DIR)/windowBed \
@@ -97,7 +106,6 @@
 				$(SRC_DIR)/utils/NewChromsweep \
 				$(SRC_DIR)/utils/sequenceUtilities \
 				$(SRC_DIR)/utils/tabFile \
-				$(SRC_DIR)/utils/BamTools \
 				$(SRC_DIR)/utils/BamTools-Ancillary \
 				$(SRC_DIR)/utils/BlockedIntervals \
 				$(SRC_DIR)/utils/Fasta \
@@ -107,46 +115,73 @@
 				$(SRC_DIR)/utils/ToolBase \
 				$(SRC_DIR)/utils/driver
 
-BUILT_OBJECTS = $(OBJ_DIR)/*.o
-
-
-INCLUDES =	-I$(SRC_DIR)/utils/bedFile \
-				-I$(SRC_DIR)/utils/BinTree \
-				-I$(SRC_DIR)/utils/version \
-				-I$(SRC_DIR)/utils/bedGraphFile \
-				-I$(SRC_DIR)/utils/chromsweep \
-				-I$(SRC_DIR)/utils/Contexts \
-				-I$(SRC_DIR)/utils/FileRecordTools \
-				-I$(SRC_DIR)/utils/FileRecordTools/FileReaders \
-				-I$(SRC_DIR)/utils/FileRecordTools/Records \
-				-I$(SRC_DIR)/utils/general \
-				-I$(SRC_DIR)/utils/gzstream \
-				-I$(SRC_DIR)/utils/fileType \
-				-I$(SRC_DIR)/utils/gzstream/ \
+INCLUDES =		$(addprefix -I,$(SUBDIRS) $(UTIL_SUBDIRS)) \
+				-I$(SRC_DIR)/utils/BamTools/include \
+				-I$(HTSDIR) \
 				-I$(SRC_DIR)/utils/lineFileUtilities \
-				-I$(SRC_DIR)/utils/KeyListOps \
-				-I$(SRC_DIR)/utils/NewChromsweep \
-				-I$(SRC_DIR)/utils/sequenceUtilities \
-				-I$(SRC_DIR)/utils/tabFile \
-				-I$(SRC_DIR)/utils/BamTools \
-				-I$(SRC_DIR)/utils/BamTools/include \
-				-I$(SRC_DIR)/utils/BamTools/src \
-				-I$(SRC_DIR)/utils/BamTools-Ancillary \
-				-I$(SRC_DIR)/utils/BlockedIntervals \
-				-I$(SRC_DIR)/utils/Fasta \
-				-I$(SRC_DIR)/utils/VectorOps \
-				-I$(SRC_DIR)/utils/GenomeFile \
-				-I$(SRC_DIR)/utils/RecordOutputMgr \
-				-I$(SRC_DIR)/utils/ToolBase \
-				-I$(SRC_DIR)/utils/driver \
-
-
-all: print_banner $(OBJ_DIR) $(BIN_DIR) autoversion $(UTIL_SUBDIRS) $(SUBDIRS)
+				-I$(SRC_DIR)/utils/Point \
+				-I$(SRC_DIR)/utils/stringUtilities
+
+
+# Ensure that the user's $CXXFLAGS/etc are applied after bedtools's.
+ALL_CXXFLAGS = $(BT_CXXFLAGS) $(CXXFLAGS)
+ALL_CPPFLAGS = $(BT_CPPFLAGS) $(CPPFLAGS)
+ALL_LDFLAGS  = $(BT_LDFLAGS) $(LDFLAGS)
+ALL_LIBS     = $(BT_LIBS) $(LIBS)
+
+
+all: print_banner $(BIN_DIR)/bedtools $(BIN_DIR)/intersectBed
+
+static: print_banner $(BIN_DIR)/bedtools.static
+
+BUILT_OBJECTS = $(OBJ_DIR)/bedtools.o
+# Include all the Makefile fragments, which add to $(BUILT_OBJECTS)
+include $(patsubst %,%/Makefile.frag,$(SUBDIRS) $(UTIL_SUBDIRS))
+
+## Automatically generate C++ dependencies.
+## $(DEPFLAGS) is a set of compiler flags that causes the compiler to generate
+## dependencies as a byproduct (which we write to a temporary file, only moving
+## it into place on successful compilations).
+## We then include the dependency files into this Makefile.
+## The subdirectories' Makefile fragments contain rules like the one for
+## $(OBJ_DIR)/bedtools.o below, with a dependency on obj/foo.d so that if
+## the dependency file is missing the target will be rebuilt.
+##
+DEPFLAGS = -MT $@ -MMD -MP -MF $*.Td
+
+define CXX_COMPILE
+@echo "  * compiling $<"
+$(CCPREFIX) $(CC_WRAPPER) $(CXX) $(ALL_CXXFLAGS) $(ALL_CPPFLAGS) $(DEPFLAGS) -c -o $@ $<
+@mv -f $*.Td $*.d
+endef
+
+$(OBJ_DIR)/%.d: ;
+.PRECIOUS: $(OBJ_DIR)/%.d
+
+-include $(patsubst %.o,%.d,$(BUILT_OBJECTS))
+
+$(OBJ_DIR)/bedtools.o: $(SRC_DIR)/bedtools.cpp $(OBJ_DIR)/bedtools.d
+	$(CXX_COMPILE)
+
+# HTSlib's htslib.mk provides rules to rebuild $(HTSDIR)/libhts.a.
+HTSDIR = src/utils/htslib
+include $(HTSDIR)/htslib.mk
+
+# This order-only prerequisite ensures OBJ_DIR exists before building any .o file
+# but ignores the directory's timestamp, which changes every time a .o file is written.
+$(BUILT_OBJECTS): | $(OBJ_DIR)
+
+$(BIN_DIR)/bedtools: autoversion $(BUILT_OBJECTS) $(HTSDIR)/libhts.a | $(BIN_DIR)
 	@echo "- Building main bedtools binary."
-	@$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c src/bedtools.cpp -o obj/bedtools.o $(INCLUDES)
-	@$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $(BIN_DIR)/bedtools $(BUILT_OBJECTS) -L$(UTIL_DIR)/BamTools/lib/ -lbamtools $(LIBS) $(LDFLAGS) $(INCLUDES)
+	$(CCPREFIX) $(CC_WRAPPER) $(CXX) $(ALL_LDFLAGS) -o $(BIN_DIR)/bedtools $(BUILT_OBJECTS) $(HTSDIR)/libhts.a $(ALL_LIBS)
 	@echo "done."
 
+$(BIN_DIR)/bedtools.static: autoversion $(BUILT_OBJECTS) $(HTSDIR)/libhts.a | $(BIN_DIR)
+	@echo "- Building main bedtools binary."
+	$(CCPREFIX) $(CC_WRAPPER) $(CXX) -static $(ALL_LDFLAGS) -o $(BIN_DIR)/bedtools.static $(BUILT_OBJECTS) $(HTSDIR)/libhts.a $(ALL_LIBS)
+	@echo "done."
+
+$(BIN_DIR)/intersectBed: | $(BIN_DIR)
 	@echo "- Creating executables for old CLI."
 	@python scripts/makeBashScripts.py
 	@chmod +x bin/*
@@ -164,7 +199,7 @@
 print_banner:
 	@echo "Building BEDTools:"
 	@echo "========================================================="
-	$(info $$CXXFLAGS is [${CXXFLAGS}])
+	@echo "CXXFLAGS is [$(ALL_CXXFLAGS)]"
 .PHONY: print_banner
 
 # make the "obj/" and "bin/" directories, if they don't exist
@@ -172,24 +207,13 @@
 	@mkdir -p $@
 
 
-# One special case: All (or almost all) programs requires the BamTools API files to be created first.
-.PHONY: bamtools_api
-bamtools_api:
-	@$(MAKE) --no-print-directory --directory=$(BT_ROOT) api
-$(UTIL_SUBDIRS) $(SUBDIRS): bamtools_api
-
-
-# even though these are real directories, treat them as phony targets, forcing to always go in them are re-make.
-# a future improvement would be the check for the compiled object, and rebuild only if the source code is newer.
-.PHONY: $(UTIL_SUBDIRS) $(SUBDIRS)
-$(UTIL_SUBDIRS) $(SUBDIRS): $(OBJ_DIR) $(BIN_DIR)
-	@echo "- Building in $@"
-	@$(MAKE) --no-print-directory --directory=$@
-
+# Usually HTSlib's configure script has not been used (detected via config.mk
+# not existing), so clean should also remove the generated config.h.
 clean:
-	@$(MAKE) --no-print-directory --directory=$(BT_ROOT) clean_api
 	@echo " * Cleaning up."
 	@rm -f $(VERSION_FILE) $(OBJ_DIR)/* $(BIN_DIR)/*
+	@cd src/utils/htslib && make clean > /dev/null
+	@test -e src/utils/htslib/config.mk || rm -f src/utils/htslib/config.h
 .PHONY: clean
 
 test: all
