=== debian/changelog ===
bedtools (2.29.2+dfsg-3build2) groovy; urgency=medium

  * No-change rebuild because 2.29.2+dfsg-3(build1) was published in Ubuntu
    before.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 09 May 2020 17:12:23 -0400

bedtools (2.29.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Build on any architecture

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 14 Feb 2020 16:02:39 +0100

bedtools (2.29.2+dfsg-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload.
  * Added version to dependency of samtools

  [ Michael R. Crusoe ]
  * Make the build verbose
  * Fix a spelling typo
  * Improve hardening & enable cross building

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 11 Feb 2020 16:30:06 +0100

bedtools (2.29.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed failing intersect.new #78 test as instructed on
    https://github.com/arq5x/bedtools2/issues/814
  * Standard-Version: 4.5.0

 -- Steffen Moeller <moeller@debian.org>  Sat, 18 Jan 2020 01:44:47 +0100

bedtools (2.29.0+dfsg-2) unstable; urgency=medium

  * Fix Build-Depends (s/python/python3/) and replace remaining references
    to python by python3
    Closes: #936199
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Remove patches louder, reproducible_build.patch that are missing
    from debian/patches/series.
  * Set fields Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Thu, 05 Dec 2019 12:11:59 +0100

bedtools (2.29.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Removed Chris' reproducible builds patch - upstream diverged too much

 -- Steffen Moeller <moeller@debian.org>  Tue, 05 Nov 2019 21:41:22 +0100

bedtools (2.28.0+dfsg1-1) unstable; urgency=medium

  * Use 2to3 to port to Python3
    Closes: #936199
  * Remove unsafe links for gcc and g++

 -- Andreas Tille <tille@debian.org>  Sun, 01 Sep 2019 11:14:59 +0200

bedtools (2.28.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * And another new dependency on liblzma-dev

 -- Steffen Moeller <moeller@debian.org>  Fri, 26 Jul 2019 19:06:23 +0200

bedtools (2.28.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Debian CI kindly pointed me to a new build dependency
    on libbz2-dev (https://salsa.debian.org/med-team/bedtools/-/jobs/238984).

 -- Steffen Moeller <moeller@debian.org>  Fri, 26 Jul 2019 18:38:06 +0200

bedtools (2.28.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

  * Semi-automated update with Andreas' routine-update script,
    only reintroduced the conflicts of the test package with earlier
    releases of bedtools.

 -- Steffen Moeller <moeller@debian.org>  Fri, 26 Jul 2019 17:33:35 +0200
