=== debian/control ===
--- 
+++ 
@@ -4,19 +4,22 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               python2,
+Build-Depends: debhelper-compat (= 12),
+               python3,
                zlib1g-dev,
-               samtools
-Standards-Version: 4.3.0
+               libbz2-dev,
+               liblzma-dev,
+               samtools (>= 1.10)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/bedtools
 Vcs-Git: https://salsa.debian.org/med-team/bedtools.git
 Homepage: https://github.com/arq5x/bedtools2
 
 Package: bedtools
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Recommends: samtools (>= 1.10)
 Conflicts: filo
 Provides: filo
 Replaces: filo
@@ -34,8 +37,6 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: bedtools
-Breaks: bedtools (<< 2.19.1-1)
-Replaces: bedtools (<< 2.19.1-1)
 Description: test data for the bedtools package
  Test data for the BEDTools suite of utilities for comparing genomic features.
  It is distributed in a separate package because it is large and
