=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,15 @@
 %:
 	dh $@
 
-override_dh_installchangelogs:
-	dh_installchangelogs RELEASE_HISTORY
+override_dh_auto_build:
+	dh_auto_build -- VERBOSE=1
+
+override_dh_auto_install:
+	dh_auto_install -- VERBOSE=1
+
+# File no longer exists
+#override_dh_installchangelogs:
+#	dh_installchangelogs RELEASE_HISTORY
 
 override_dh_install:
 	dh_install
