## bedtools 2.30.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: bedtools
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                python3,
                zlib1g-dev,
                libbz2-dev,
-               liblzma-dev,
-               samtools (>= 1.10)
-Standards-Version: 4.5.0
+               liblzma-dev
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/bedtools
 Vcs-Git: https://salsa.debian.org/med-team/bedtools.git
 Homepage: https://github.com/arq5x/bedtools2
+Rules-Requires-Root: no
 
 Package: bedtools
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: samtools (>= 1.10)
 Conflicts: filo
 Provides: filo
 Replaces: filo
